File python-black.changes of Package python-black

-------------------------------------------------------------------
Tue Jun  4 13:53:31 UTC 2019 - Tomáš Chvátal <tchvatal@suse.com>

- Skip randomly failing test (only in OBS)

-------------------------------------------------------------------
Thu Mar 21 15:44:47 UTC 2019 - Tomáš Chvátal <tchvatal@suse.com>

- Update to 19.3b0:
   * No obvious changelog

-------------------------------------------------------------------
Wed Oct  3 12:40:28 UTC 2018 - Ondřej Súkup <mimi.vx@gmail.com>

- update to 18.9b0
 * numeric literals are now formatted by Black
 * numeric literals are normalized to include _ separators on Python 3.6+ code
 * added --skip-numeric-underscore-normalization to disable the above behavior
     and leave numeric underscores as they were in the input
 * code with _ in numeric literals is recognized as Python 3.6+
 * most letters in numeric literals are lowercased (e.g., in 1e10, 0x01)
 * hexadecimal digits are always uppercased (e.g. 0xBADC0DE)
 * added blackd, see its documentation for more info
 * adjacent string literals are now correctly split into multiple lines
 * trailing comma is now added to single imports that don't fit on a line
 * cache is now populated when --check is successful for a file which
     speeds up consecutive checks of properly formatted unmodified files
 * whitespace at the beginning of the file is now removed
 * fixed mangling pweave and Spyder IDE special comments
 * fixed unstable formatting when unpacking big tuples
 * fixed parsing of __future__ imports with renames
 * fixed scope of # fmt: off when directly preceding yield and other nodes
 * fixed formatting of lambda expressions with default arguments
 * fixed async for statements: Black no longer breaks them into separate lines
 * note: the Vim plugin stopped registering ,= as a default chord
    as it turned out to be a bad idea 

-------------------------------------------------------------------
Wed Aug 29 10:31:11 UTC 2018 - tchvatal@suse.com

- Raise minimal py required to be 3.6

-------------------------------------------------------------------
Tue Aug 28 21:27:40 UTC 2018 - jengelh@inai.de

- Replace all the marketing in the description with something
  substantial.

-------------------------------------------------------------------
Mon Aug 27 19:27:43 UTC 2018 - mimi.vx@gmail.com

- disable testsuite for py older than 3.7

-------------------------------------------------------------------
Mon Aug 27 09:08:50 UTC 2018 - tchvatal@suse.com

- Code formatter used by pytest/etc